Info (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.Info class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class Info

    java.lang.Object
      org.apache.velocity.util.introspection.Info

Direct Known Subclasses:
  InvalidReferenceInfo

public class Info
extends Object

Little class to carry in info such as template name, line and column for information error reporting from the uberspector implementations

Version:
  $Id: Info.java 733416 2009-01-11 05:26:52Z byron $
Author:
  Geir Magnusson Jr.

Constructor Summary
`Info(Node node)`
`Info(String source, int line, int column)`

Method Summary
`int` | `getColumn()`
`int` | `getLine()`
`String` | `getTemplateName()`
`String` | `toString()` Formats a textual representation of this object as `SOURCE [line X, column Y]`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Info

    public Info(String source,
                int line,
                int column)

Parameters:
  `source` - Usually a template name.
  `line` - The line number from `source`.
  `column` - The column number from `source`.

### Info

    public Info(Node node)

Method Detail

### getTemplateName

    public String getTemplateName()

  Returns:
    The template name.

### getLine

    public int getLine()

  Returns:
    The line number.

### getColumn

    public int getColumn()

  Returns:
    The column number.

### toString

    public String toString()

  Formats a textual representation of this object as `SOURCE [line X, column Y]`.

  Returns:
    String representing this object.
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.